Bug 733498 - Expose suspend/continue controls for jobs through Aviary
Summary: Expose suspend/continue controls for jobs through Aviary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-aviary
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: 2.3
: ---
Assignee: Pete MacKinnon
QA Contact: Martin Kudlej
URL:
Whiteboard:
Depends On:
Blocks: 756254
TreeView+ depends on / blocked
 
Reported: 2011-08-25 19:53 UTC by Pete MacKinnon
Modified: 2013-03-06 18:38 UTC (History)
6 users (show)

Fixed In Version: condor-7.8.2-0.1
Doc Type: Enhancement
Doc Text:
Cause: New suspend/continue capabilities in the Grid job lifecycle management core. Consequence: Previously unable to expose these capabilities through a public API. Change: New WSDL operations were defined and implemented in the Aviary SOAP interface. Result: Users can remotely suspend and continue jobs through the Aviary scheduler SOAP interface.
Clone Of:
Environment:
Last Closed: 2013-03-06 18:38:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC
Red Hat Bugzilla 876588 None None None Never

Internal Links: 876588

Description Pete MacKinnon 2011-08-25 19:53:22 UTC
Currently, Aviary has SOAP operations for job hold and remove. We will also add the ability to suspend and resume jobs, likely using a similar signature.

Comment 1 Pete MacKinnon 2011-11-01 13:48:46 UTC
We'll add similar utility methods for suspend, resume in condor_schedd.V6 code to provide the wrappers we need to call from the Aviary schedd plugin. (Upstream master pullback).

Comment 2 Pete MacKinnon 2011-11-23 15:58:48 UTC
Assuming we are adding this for QMF scheduler interface also.

Comment 3 Pete MacKinnon 2012-03-15 15:14:14 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: New suspend/continue capabilities in the Grid job lifecycle management core.
Consequence: Previously unable to expose these capabilities through a public API.
Change: New WSDL operations were defined and implemented in the Aviary SOAP interface.
Result: Users can remotely suspend and continue jobs through the Aviary scheduler SOAP interface.

Comment 6 Martin Kudlej 2012-11-23 14:04:18 UTC
Tested on RHEL 5.9/6.4 x x86_64/i386 with condor-7.8.7-0.5 and it works. -->VERIFIED

Comment 8 errata-xmlrpc 2013-03-06 18:38:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0564.html


Note You need to log in before you can comment on or make changes to this bug.